Ticket #1683 (closed defect: fixed)

Opened 9 years ago

Last modified 8 years ago

slurl.com 小窓が機能しなくなっている

Reported by: kiwa Assigned to: ebihara
Priority: minor Milestone: OpenPNE2.12.3
Component: pne-cmd Version: 2.10.x & 2.12.x & 2.14.x
Keywords: OpenPNE2.10.9 OpenPNE2.13.2 Cc:

Description (Last modified by kudo)

■現象

slurl.com 小窓(public_html/cmd/surl.com.js)が動作しなくなっている。

■原因

Second Life の Map API の仕様変更により、小窓側が使用していた関数が使用できなくなっていた。

■修正内容

この小窓については事実上利用できない状態が長期間続いていたことを受け、ひとまずは OpenPNE 本体に同梱しない(=削除する)という形で対処する。

■関連情報

元のDescription

http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_c_commu_topic_id=3010 より転記

 偶然貼ってみたのですが、どうも動かないようです。ここのSNS内でも同様でした。

 Javascriptのエラーが出ているという情報を貰ったので、簡単なサンプルをコピペで作ってテストしてみたのですが、SLPointという関数が問題のようです。XYPointでは動きました。

 どうせなら小窓の練習を兼ねてと、不具合対策してみようと挑戦したのですが、具体的な修正方法までは辿り付けませんでした。

報告トピックに検証コメントあり

Change History

01/16/08 17:14:08 changed by kiwa

  • keywords deleted.

05/15/08 17:39:26 changed by ogawa

  • version changed from 2.8.x & 2.10.x & 2.11.x to 2.10.x & 2.12.x & 2.13.x.

08/05/08 17:59:33 changed by kiwa

  • keywords set to OpenPNE2.10.9 OpenPNE2.13.2.
  • milestone set to OpenPNE2.12.3.

この小窓が使えない状態で半年以上経過しているので、方針をきめてほしいです。

08/12/08 18:58:39 changed by ogawa

削除しましょう。

08/13/08 04:39:46 changed by ebihara

  • owner changed from nobody to ebihara.
  • status changed from new to assigned.
  • description changed.

やります。

事実上利用できない状態が続いていたことなどを鑑み、削除する方針に同意します。

08/13/08 04:43:23 changed by ebihara

  • description changed.
  • summary changed from slurl.com.jsが機能しなくなっている to slurl.com 小窓が機能しなくなっている.

以下のリビジョンで対応をおこないました。

08/13/08 04:43:55 changed by ebihara

  • keywords changed from OpenPNE2.10.9 OpenPNE2.13.2 to OpenPNE2.10.9 OpenPNE2.13.2 確認中.

08/13/08 09:02:50 changed by ogawa

  • keywords changed from OpenPNE2.10.9 OpenPNE2.13.2 確認中 to OpenPNE2.10.9 OpenPNE2.13.2 テスト待ち.

08/14/08 19:01:12 changed by kiwa

  • keywords changed from OpenPNE2.10.9 OpenPNE2.13.2 テスト待ち to OpenPNE2.10.9 OpenPNE2.13.2.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました。問題ありません。

05/25/09 16:34:01 changed by kudo

  • description changed.